Skip to main content
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
history
Get Cluster Stack History Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks/{stack_name}/history"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "history": [
    {
      "resource_name": "<string>",
      "resource_type": "<string>",
      "resource_id": "<string>",
      "version_history": [
        {
          "version_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "definition": "<unknown>",
          "delta": [
            "<unknown>"
          ],
          "user_id": "<string>",
          "external_user": "<string>",
          "change_type": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required
stack_name
string
required

Response

Successful Response

history
StackHistoryItem · object[]
required